API referenceTeams
Create team
Create a team in the company workspace
POST
/teamscurl -X POST "https://api.corma.io/v1/teams" \
-H "x-corma-api-key: $CORMA_OPEN_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"key": "string",
"displayName": "string"
}'Authorization
x-corma-api-keystringheaderrequiredColon-separated API key ID and secret:
API_KEY_ID:API_KEY_SECRET
Parameters
x-corma-idempotency-keystringheaderOptional client-generated key. Reusing the same key with an identical request replays the original response instead of enqueueing a duplicate task.
Body
application/json
keystringrequireddisplayNamestringrequired
Response
application/json201
OK
keystringrequireddisplayNamestringrequiredsourcesTeamSource[]requiredcreatedAtstring<date-time>requiredThe timestamp of when this resource was created. ISO 8601 format.
updatedAtstring<date-time>requiredThe timestamp of the last update to this resource. ISO 8601 format.
{
"key": "string",
"displayName": "string",
"sources": [
{
"type": "integration_sync_unit",
"kind": "google",
"method": "api",
"syncUnitId": "string",
"label": "string",
"author": "string",
"isOriginating": true,
"createdAt": "2026-01-15T09:30:00Z",
"lastUpdatedAt": "2026-01-15T09:30:00Z"
}
],
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}